# -*- Mode: Shell-script     -*- 
# -*- vim: set filetype=csh: -*-
#             ,,,
#            (o o)
####=====oOO--(_)--OOO=========================================####
#
#  Alliance CAD system environnement
#  Usage (in C-shell) : > source alc_env.csh
#  (C) 1997 Czo  -- <Olivier.Sirol@lip6.fr>
#  $Id: alc_env.csh.in,v 1.15 2012/04/11 13:31:14 alliance Exp $
#  Generated from alc_env.csh.in on @DATE@

# $ALLIANCE_OS and $ALLIANCE_TOP are the only variables you will
# have to modify if something goes wrong

# Which platform for Alliance CAD

# WARNING : if changing this remember to do it on the 3 config files :
# configure.in alc_env.sh.in and alc_env.csh.in


# Where the Alliance CAD is installed
 setenv ALLIANCE_TOP         "/usr"
 set    SYSCONF_TOP          "/etc/alliance"
 set    CELLS_TOP            "${ALLIANCE_TOP}/cells"
 if ( "${ALLIANCE_TOP}" == "/usr/lib/alliance" ) then
# For installation in the FHS.
   set  SYSCONF_TOP          "/etc/alliance"
   set  CELLS_TOP            "/usr/share/alliance/cells"
 endif


# Alliance environment variables.
 setenv MBK_IN_LO            vst
 setenv MBK_OUT_LO           vst
 setenv MBK_IN_PH            ap
 setenv MBK_OUT_PH           ap
 
 setenv MBK_WORK_LIB         .
 setenv MBK_CATAL_NAME       CATAL
 
 setenv MBK_SCALE_X          100
 
 setenv VH_MAXERR            10
 setenv VH_BEHSFX            vbe
 setenv VH_PATSFX            pat
 setenv VH_DLYSFX            dly
 
 setenv MBK_CATA_LIB         ".:${CELLS_TOP}/sxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/dp_sxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/rflib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/rf2lib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/romlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/ramlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/pxlib"
 setenv MBK_CATA_LIB         "${MBK_CATA_LIB}:${CELLS_TOP}/padlib"
 setenv MBK_TARGET_LIB       "${CELLS_TOP}/sxlib"
 setenv MBK_C4_LIB           ./cellsC4 
 
 setenv MBK_VDD              vdd
 setenv MBK_VSS              vss
 
 setenv XPAT_PARAM_NAME      "${SYSCONF_TOP}/xpat.par"
 setenv XFSM_PARAM_NAME      "${SYSCONF_TOP}/xfsm.par"
 setenv XSCH_PARAM_NAME      "${SYSCONF_TOP}/xsch.par"
 
 setenv RDS_IN               cif
 setenv RDS_OUT              cif
 
 setenv DREAL_TECHNO_NAME    "${SYSCONF_TOP}/cmos.dreal"
 setenv GRAAL_TECHNO_NAME    "${SYSCONF_TOP}/cmos.graal"
 setenv GENVIEW_TECHNO_NAME  "${SYSCONF_TOP}/cmos.genview"
 
 setenv RDS_TECHNO_NAME      "${SYSCONF_TOP}/cmos.rds"
 setenv ELP_TECHNO_NAME      "${SYSCONF_TOP}/prol.elp"


# System PATH variables, only needed when not installed in the FHS.
 if ( "${ALLIANCE_TOP}" != "/usr/lib/alliance" ) then
   if ( $?PATH ) then
     setenv PATH "${PATH}:${ALLIANCE_TOP}/bin"
   else
     setenv PATH "${ALLIANCE_TOP}/bin"
   endif
  
   if ( "`uname -o`" != "GNU/Linux" ) then
    # Only needed on Solaris (included in /etc/ld.so.conf under Linux).
     if ( $?LD_LIBRARY_PATH ) then
       setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:${ALLIANCE_TOP}/lib"
     else
       setenv LD_LIBRARY_PATH "${ALLIANCE_TOP}/lib"
     endif
   endif
  
   if ( $?MANPATH ) then
     setenv MANPATH "${MANPATH}:${ALLIANCE_TOP}/man"
   else
     setenv MANPATH ":${ALLIANCE_TOP}/man:`manpath`"
   endif
 endif
 
 # fixing *** ERROR *** : Variable MBK_SPI_MODEL not found.
 setenv MBK_SPI_MODEL     "${SYSCONF_TOP}/spimodel.cfg"
